chocolate-heretic(6)

NAME
chocolate-heretic - historically compatible Heretic engine

SYNOPSIS
chocolate-heretic [options]

DESCRIPTION

Chocolate Heretic is a port of Raven Software's 1994 game Heretic that aims to behave as similar to the original DOS version of Heretic as possible.

GENERAL OPTIONS

-config file
    Load main configuration from the specified file, instead of the default.

-extraconfig file
    Load additional configuration from the specified file, instead of the default.

-file file
    ... Load the specified PWAD files. Each succeeding argument is treated as a PWAD file name until one starts with a dash or the argument list is exhausted.

-iwad file
    Specify an IWAD file to use.

-nomusic
    Disable music.

-nomusicpacks
    Disable substitution music packs.

-nosfx
    Disable sound effects.

-nosound
    Disable all sound output.

-ravpic
    Take screenshots when F1 is pressed.

-response file
    Load extra command-line arguments from the given response file. Arguments read from the file are inserted into the command line, replacing this argument. A response file can also be loaded using the abbreviated syntax '@file.rsp'.

-savedir directory
    Specify a path from which to load and save games. If the directory does not exist then it will automatically be created.

-version
    Print the program version and exit.

GAME START OPTIONS

-episode n
    Start playing episode n (1-4).

-loadgame s
    Load the game in savegame slot s.

-nomonsters
    Disable monsters.

-respawn
    Monsters respawn after being killed.

-skill skill
    Set the game skill, 1-5 (1: easiest, 5: hardest). A skill of 0 disables all monsters.

-warp x y
    Start a game immediately, warping to level ExMy.

DISPLAY OPTIONS

-1  Don't scale up the screen. Implies -window.

-2  Double up the screen to 2x its normal size. Implies -window.

-3  Double up the screen to 3x its normal size. Implies -window.

-display x
    Specify the display number on which to show the screen.

-fullscreen
    Run in fullscreen mode.

-geometry WxH
    Specify the dimensions of the window. Implies -window.

-height H
    Specify the screen height, in pixels. Implies -window.

-noblit
    Disable blitting the screen.

-nograbmouse
    Don't grab the mouse when running in windowed mode.

-nomouse
    Disable the mouse.

-width W
    Specify the screen width, in pixels. Implies -window.

-window
    Run in a window.

NETWORKING OPTIONS

-autojoin
    Automatically search the local LAN for a multiplayer server and join it.

-connect address
    Connect to a multiplayer server running on the given address.

-deathmatch
    Start a deathmatch game.

-dup n
    Reduce the resolution of the game by a factor of n, reducing the amount of network bandwidth needed.

-extratics n
    Send n extra tics in every packet as insurance against dropped packets.

-nodes n
    Autostart the netgame when n nodes (clients) have joined the server.

-oldsync
    Use original network client sync code rather than the improved sync code.

-port n
    Use the specified UDP port for communications, instead of the default (2342).

-privateserver
    When running a server, don't register with the global master server. Implies -server.

-server
    Start a multiplayer server, listening for connections.

-servername name
    When starting a network server, specify a name for the server.

-solo-net
    Start the game playing as though in a netgame with a single player. This can also be used to play back single player netgame demos.

-timer n
    For multiplayer games: exit each level after n minutes.

DEHACKED AND WAD MERGING

-aa file
    ... Equivalent to "-af <files> -as <files>".

-af file
    ... Simulates the behavior of NWT's -af option, merging flats into the main IWAD directory. Multiple files may be specified.

-as file
    ... Simulates the behavior of NWT's -as option, merging sprites into the main IWAD directory. Multiple files may be specified.

-deh file
    ... Load the given dehacked patch(es)

-hhever version
    Select the Heretic version number that was used to generate the HHE patch to be loaded. Patches for each of the Vanilla Heretic versions (1.0, 1.2, 1.3) can be loaded, but the correct version number must be specified.

-merge file
    ... Simulates the behavior of deutex's -merge option, merging a PWAD into the main IWAD. Multiple files may be specified.

-noautoload
    Disable auto-loading of .wad files.

-nocheats
    Ignore cheats in dehacked files.

-nwtmerge file
    ... Simulates the behavior of NWT's -merge option. Multiple files may be specified.

DEMO OPTIONS

-demoextend
    Record or playback a demo without automatically quitting after either level exit or player respawn.

-longtics
    Record or playback a demo with high resolution turning.

-maxdemo size
    Specify the demo buffer size (KiB)

-playdemo demo
    Play back the demo named demo.lmp.

-record x
    Record a demo named x.lmp.

-recordfrom save-num demo-name
    Load a game from the given savegame slot and record a demo from it. Equivalent to -loadgame <save-num> -record <demo-name>.

-shortticfix
    Smooth out low resolution turning when recording a demo.

-strictdemos
    When recording or playing back demos, disable any extensions of the vanilla demo format - record demos as vanilla would do, and play back demos as vanilla would do.

-timedemo demo
    Play back the demo named demo.lmp, determining the framerate of the screen.

COMPATIBILITY

-setmem version
    Specify DOS version to emulate for NULL pointer dereference emulation. Supported versions are: dos622, dos71, dosbox. The default is to emulate DOS 7.1 (Windows 98).

OBSCURE AND LESS-USED OPTIONS

-cdrom
    [windows only] Save configuration data and savegames in c:\heretic.cd, allowing play from CD.

-dumpsubstconfig file
    Read all MIDI files from loaded WAD files, dump an example substitution music config file to the specified file, and quit.

-mb mb
    Specify the heap size, in MiB.

-mmap
    Use the OS's virtual memory subsystem to map WAD files directly into memory.

-noartiskip
    Allow artifacts to be used when the run key is held down.

-nogui
    If specified, don't show a GUI window for error messages when the game exits with an error.

IWAD SEARCH PATHS
To play, an IWAD file is needed. This is a large file containing all of the levels, graphics, sound effects, music and other material that make up the game. IWAD files are named according to the game; the standard names are:

doom.wad,
    doom1.wad, doom2.wad, tnt.wad, plutonia.wad Doom, Doom II, Final Doom

heretic.wad,
    hexen.wad, strife.wad Heretic, Hexen and Strife (commercial Doom engine games).

hacx.wad,
    chex.wad Hacx and Chex Quest - more obscure games based on the Doom engine.

freedm.wad,
    freedoom1.wad, freedoom2.wad The Freedoom open content IWAD files.

The following directory paths are searched in order to find an IWAD:

Current working directory
    Any IWAD files found in the current working directory will be used in preference to IWADs found in any other directories.

DOOMWADDIR
    This environment variable can be set to contain a path to a single directory in which to look for IWAD files. This environment variable is supported by most Doom source ports.

DOOMWADPATH
    This environment variable, if set, can contain a colon-separated list of directories in which to look for IWAD files, or alternatively full paths to specific IWAD files.

$HOME/.local/share/games/doom
    Writeable directory in the user's home directory. The path can be overridden using the XDG_DATA_HOME environment variable (see the XDG Base Directory Specification).

/usr/local/share/doom
/usr/local/share/games/doom
/usr/share/doom
/usr/share/games/doom
    System-wide locations that can be accessed by all users. The path /usr/share/games/doom is a standard path that is supported by most Doom source ports. These paths can be overridden using the XDG_DATA_DIRS environment variable (see the XDG Base Directory Specification).

The above can be overridden on a one-time basis by using the -iwad command line parameter to provide the path to an IWAD file to use.This parameter can also be used to specify the name of a particular IWAD to use from one of the above paths. For example, “-iwad doom.wad” will search the above paths for the file doom.wad to use.

ENVIRONMENT
This section describes environment variables that control Chocolate Heretic's behavior.

DOOMWADDIR
DOOMWADPATH
    See section “IWAD SEARCH PATHS” above.

PCSOUND_DRIVER
    When running in PC speaker sound effect mode, this environment variable specifies a PC speaker driver to use for sound effect playback. Valid options are “Linux” for the Linux console mode driver, “BSD” for the NetBSD/OpenBSD PC speaker driver, and “SDL” for SDL-based emulated PC speaker playback (using the digital output).

OPL_DRIVER
    When using OPL MIDI playback, this environment variable specifies an OPL backend driver to use. Valid options are “SDL” for an SDL-based software emulated OPL chip, “Linux” for the Linux hardware OPL driver, and “OpenBSD” for the OpenBSD/NetBSD hardware OPL driver.

    Generally speaking, a real hardware OPL chip sounds better than software emulation; however, modern machines do not often include one. If present, it may still require extra work to set up and elevated security privileges to access.

FILES

$HOME/.local/share/chocolate-doom/heretic.cfg
    The main configuration file for Chocolate Heretic. See heretic.cfg(5).

$HOME/.local/share/chocolate-doom/chocolate-heretic.cfg
    Extra configuration values that are specific to Chocolate Heretic and not present in Vanilla Heretic. See chocolate-heretic.cfg(5).

SEE ALSO
chocolate-doom(6), chocolate-hexen(6), chocolate-server(6), chocolate-setup(6)

AUTHOR
Chocolate Heretic is part of the Chocolate Doom project, written and maintained by Simon Howard. It is based on the Heretic source code, released by Raven Software.

COPYRIGHT
Copyright © id Software Inc. Copyright © Raven Software Inc. Copyright © 2005-2013 Simon Howard.

This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.